#include <FL/Fl.H>
#include <FL/filename.H>

int main(int argc, char** argv) {
	const char* path = ".";
	if(argc > 1) {
		path = argv[1];
	}

	if(fl_filename_isdir(path)) {
		dirent** d = (dirent**)0;
		int n = fl_filename_list(path, &d, fl_alphasort);
		for(int i=0; i<n; ++i) {
			printf("%d. %s\n", i, d[i]->d_name);
		}
		fl_filename_free_list(&d, n);
	}

	return 0;
}
